/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.esquemaoperacional;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zk.ui.WrongValueException;
import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.util.Clients;
import org.zkoss.zul.Button;
import org.zkoss.zul.Intbox;
import org.zkoss.zul.Messagebox;
import org.zkoss.zul.Textbox;

import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.DetDiagramaAutobus;
import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;
import com.rjconsultores.ventaboletos.service.CorridaService;
import com.rjconsultores.ventaboletos.service.DiagramaAutobusService;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import com.rjconsultores.ventaboletos.web.utilerias.LayoutDiagramaAutobus;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

/**
 * 
 * @author Administrador
 */
@Controller("editarDiagramaAutobusController")
@Scope("prototype")
public class EditarDiagramaAutobusController extends MyGenericForwardComposer {

	private static final long serialVersionUID = 1L;
	@Autowired
	private DiagramaAutobusService diagramaAutoBusService;
	@Autowired
	private CorridaService corridaService;
	private Textbox txtDescDiagrama;
	private Intbox txtCantasSientos;
	private MyListbox diagramaAutobusList;
	private DiagramaAutobus diagramaAutobus;
	private Button btnApagar;
	private Button btn_1_1;
	private Button btn_1_2;
	private Button btn_1_3;
	private Button btn_1_4;
	private Button btn_1_5;
	private Button btn_1_6;
	private Button btn_1_7;
	private Button btn_1_8;
	private Button btn_1_9;
	private Button btn_1_10;
	private Button btn_1_11;
	private Button btn_1_12;
	private Button btn_1_13;
	private Button btn_1_14;
	private Button btn_1_15;
	private Button btn_1_16;
	private Button btn_1_17;
	private Button btn_1_18;
	private Button btn_1_19;
	private Button btn_1_20;
	private Button btn_1_21;
	private Button btn_1_22;
	private Button btn_1_23;
	private Button btn_1_24;
	private Button btn_1_25;
	private Button btn_1_26;
	private Button btn_2_1;
	private Button btn_2_2;
	private Button btn_2_3;
	private Button btn_2_4;
	private Button btn_2_5;
	private Button btn_2_6;
	private Button btn_2_7;
	private Button btn_2_8;
	private Button btn_2_9;
	private Button btn_2_10;
	private Button btn_2_11;
	private Button btn_2_12;
	private Button btn_2_13;
	private Button btn_2_14;
	private Button btn_2_15;
	private Button btn_2_16;
	private Button btn_2_17;
	private Button btn_2_18;
	private Button btn_2_19;
	private Button btn_2_20;
	private Button btn_2_21;
	private Button btn_2_22;
	private Button btn_2_23;
	private Button btn_2_24;
	private Button btn_2_25;
	private Button btn_2_26;
	private Button btn_3_1;
	private Button btn_3_2;
	private Button btn_3_3;
	private Button btn_3_4;
	private Button btn_3_5;
	private Button btn_3_6;
	private Button btn_3_7;
	private Button btn_3_8;
	private Button btn_3_9;
	private Button btn_3_10;
	private Button btn_3_11;
	private Button btn_3_12;
	private Button btn_3_13;
	private Button btn_3_14;
	private Button btn_3_15;
	private Button btn_3_16;
	private Button btn_3_17;
	private Button btn_3_18;
	private Button btn_3_19;
	private Button btn_3_20;
	private Button btn_3_21;
	private Button btn_3_22;
	private Button btn_3_23;
	private Button btn_3_24;
	private Button btn_3_25;
	private Button btn_3_26;
	private Button btn_4_1;
	private Button btn_4_2;
	private Button btn_4_3;
	private Button btn_4_4;
	private Button btn_4_5;
	private Button btn_4_6;
	private Button btn_4_7;
	private Button btn_4_8;
	private Button btn_4_9;
	private Button btn_4_10;
	private Button btn_4_11;
	private Button btn_4_12;
	private Button btn_4_13;
	private Button btn_4_14;
	private Button btn_4_15;
	private Button btn_4_16;
	private Button btn_4_17;
	private Button btn_4_18;
	private Button btn_4_19;
	private Button btn_4_20;
	private Button btn_4_21;
	private Button btn_4_22;
	private Button btn_4_23;
	private Button btn_4_24;
	private Button btn_4_25;
	private Button btn_4_26;
	private Button btn_5_1;
	private Button btn_5_2;
	private Button btn_5_3;
	private Button btn_5_4;
	private Button btn_5_5;
	private Button btn_5_6;
	private Button btn_5_7;
	private Button btn_5_8;
	private Button btn_5_9;
	private Button btn_5_10;
	private Button btn_5_11;
	private Button btn_5_12;
	private Button btn_5_13;
	private Button btn_5_14;
	private Button btn_5_15;
	private Button btn_5_16;
	private Button btn_5_17;
	private Button btn_5_18;
	private Button btn_5_19;
	private Button btn_5_20;
	private Button btn_5_21;
	private Button btn_5_22;
	private Button btn_5_23;
	private Button btn_5_24;
	private Button btn_5_25;
	private Button btn_5_26;
	private Button btn_6_1;
	private Button btn_6_2;
	private Button btn_6_3;
	private Button btn_6_4;
	private Button btn_6_5;
	private Button btn_6_6;
	private Button btn_6_7;
	private Button btn_6_8;
	private Button btn_6_9;
	private Button btn_6_10;
	private Button btn_6_11;
	private Button btn_6_12;
	private Button btn_6_13;
	private Button btn_6_14;
	private Button btn_6_15;
	private Button btn_6_16;
	private Button btn_6_17;
	private Button btn_6_18;
	private Button btn_6_19;
	private Button btn_6_20;
	private Button btn_6_21;
	private Button btn_6_22;
	private Button btn_6_23;
	private Button btn_6_24;
	private Button btn_6_25;
	private Button btn_6_26;
	private Button btn_7_1;
	private Button btn_7_2;
	private Button btn_7_3;
	private Button btn_7_4;
	private Button btn_7_5;
	private Button btn_7_6;
	private Button btn_7_7;
	private Button btn_7_8;
	private Button btn_7_9;
	private Button btn_7_10;
	private Button btn_7_11;
	private Button btn_7_12;
	private Button btn_7_13;
	private Button btn_7_14;
	private Button btn_7_15;
	private Button btn_7_16;
	private Button btn_7_17;
	private Button btn_7_18;
	private Button btn_7_19;
	private Button btn_7_20;
	private Button btn_7_21;
	private Button btn_7_22;
	private Button btn_7_23;
	private Button btn_7_24;
	private Button btn_7_25;
	private Button btn_7_26;
	private static Logger log = Logger.getLogger(EditarDiagramaAutobusController.class);

	public Intbox getTxtCantasSientos() {
		return txtCantasSientos;
	}

	public void setTxtCantasSientos(Intbox txtCantasSientos) {
		this.txtCantasSientos = txtCantasSientos;
	}

	public Textbox getTxtDescDiagrama() {
		return txtDescDiagrama;
	}

	public void setTxtDescDiagrama(Textbox txtDescDiagrama) {
		this.txtDescDiagrama = txtDescDiagrama;
	}

	public Button getBtnApagar() {
		return btnApagar;
	}

	public void setBtnApagar(Button btnApagar) {
		this.btnApagar = btnApagar;
	}

	public Button getBtn_1_1() {
		return btn_1_1;
	}

	public void setBtn_1_1(Button btn_1_1) {
		this.btn_1_1 = btn_1_1;
	}

	public Button getBtn_1_10() {
		return btn_1_10;
	}

	public void setBtn_1_10(Button btn_1_10) {
		this.btn_1_10 = btn_1_10;
	}

	public Button getBtn_1_11() {
		return btn_1_11;
	}

	public void setBtn_1_11(Button btn_1_11) {
		this.btn_1_11 = btn_1_11;
	}

	public Button getBtn_1_12() {
		return btn_1_12;
	}

	public void setBtn_1_12(Button btn_1_12) {
		this.btn_1_12 = btn_1_12;
	}

	public Button getBtn_1_13() {
		return btn_1_13;
	}

	public void setBtn_1_13(Button btn_1_13) {
		this.btn_1_13 = btn_1_13;
	}

	public Button getBtn_1_2() {
		return btn_1_2;
	}

	public void setBtn_1_2(Button btn_1_2) {
		this.btn_1_2 = btn_1_2;
	}

	public Button getBtn_1_3() {
		return btn_1_3;
	}

	public void setBtn_1_3(Button btn_1_3) {
		this.btn_1_3 = btn_1_3;
	}

	public Button getBtn_1_4() {
		return btn_1_4;
	}

	public void setBtn_1_4(Button btn_1_4) {
		this.btn_1_4 = btn_1_4;
	}

	public Button getBtn_1_5() {
		return btn_1_5;
	}

	public void setBtn_1_5(Button btn_1_5) {
		this.btn_1_5 = btn_1_5;
	}

	public Button getBtn_1_6() {
		return btn_1_6;
	}

	public void setBtn_1_6(Button btn_1_6) {
		this.btn_1_6 = btn_1_6;
	}

	public Button getBtn_1_7() {
		return btn_1_7;
	}

	public void setBtn_1_7(Button btn_1_7) {
		this.btn_1_7 = btn_1_7;
	}

	public Button getBtn_1_8() {
		return btn_1_8;
	}

	public void setBtn_1_8(Button btn_1_8) {
		this.btn_1_8 = btn_1_8;
	}

	public Button getBtn_1_9() {
		return btn_1_9;
	}

	public void setBtn_1_9(Button btn_1_9) {
		this.btn_1_9 = btn_1_9;
	}

	public Button getBtn_2_1() {
		return btn_2_1;
	}

	public void setBtn_2_1(Button btn_2_1) {
		this.btn_2_1 = btn_2_1;
	}

	public Button getBtn_2_10() {
		return btn_2_10;
	}

	public void setBtn_2_10(Button btn_2_10) {
		this.btn_2_10 = btn_2_10;
	}

	public Button getBtn_2_11() {
		return btn_2_11;
	}

	public void setBtn_2_11(Button btn_2_11) {
		this.btn_2_11 = btn_2_11;
	}

	public Button getBtn_2_12() {
		return btn_2_12;
	}

	public void setBtn_2_12(Button btn_2_12) {
		this.btn_2_12 = btn_2_12;
	}

	public Button getBtn_2_13() {
		return btn_2_13;
	}

	public void setBtn_2_13(Button btn_2_13) {
		this.btn_2_13 = btn_2_13;
	}

	public Button getBtn_2_2() {
		return btn_2_2;
	}

	public void setBtn_2_2(Button btn_2_2) {
		this.btn_2_2 = btn_2_2;
	}

	public Button getBtn_2_3() {
		return btn_2_3;
	}

	public void setBtn_2_3(Button btn_2_3) {
		this.btn_2_3 = btn_2_3;
	}

	public Button getBtn_2_4() {
		return btn_2_4;
	}

	public void setBtn_2_4(Button btn_2_4) {
		this.btn_2_4 = btn_2_4;
	}

	public Button getBtn_2_5() {
		return btn_2_5;
	}

	public void setBtn_2_5(Button btn_2_5) {
		this.btn_2_5 = btn_2_5;
	}

	public Button getBtn_2_6() {
		return btn_2_6;
	}

	public void setBtn_2_6(Button btn_2_6) {
		this.btn_2_6 = btn_2_6;
	}

	public Button getBtn_2_7() {
		return btn_2_7;
	}

	public void setBtn_2_7(Button btn_2_7) {
		this.btn_2_7 = btn_2_7;
	}

	public Button getBtn_2_8() {
		return btn_2_8;
	}

	public void setBtn_2_8(Button btn_2_8) {
		this.btn_2_8 = btn_2_8;
	}

	public Button getBtn_2_9() {
		return btn_2_9;
	}

	public void setBtn_2_9(Button btn_2_9) {
		this.btn_2_9 = btn_2_9;
	}

	public Button getBtn_3_1() {
		return btn_3_1;
	}

	public void setBtn_3_1(Button btn_3_1) {
		this.btn_3_1 = btn_3_1;
	}

	public Button getBtn_3_10() {
		return btn_3_10;
	}

	public void setBtn_3_10(Button btn_3_10) {
		this.btn_3_10 = btn_3_10;
	}

	public Button getBtn_3_11() {
		return btn_3_11;
	}

	public void setBtn_3_11(Button btn_3_11) {
		this.btn_3_11 = btn_3_11;
	}

	public Button getBtn_3_12() {
		return btn_3_12;
	}

	public void setBtn_3_12(Button btn_3_12) {
		this.btn_3_12 = btn_3_12;
	}

	public Button getBtn_3_13() {
		return btn_3_13;
	}

	public void setBtn_3_13(Button btn_3_13) {
		this.btn_3_13 = btn_3_13;
	}

	public Button getBtn_3_2() {
		return btn_3_2;
	}

	public void setBtn_3_2(Button btn_3_2) {
		this.btn_3_2 = btn_3_2;
	}

	public Button getBtn_3_3() {
		return btn_3_3;
	}

	public void setBtn_3_3(Button btn_3_3) {
		this.btn_3_3 = btn_3_3;
	}

	public Button getBtn_3_4() {
		return btn_3_4;
	}

	public void setBtn_3_4(Button btn_3_4) {
		this.btn_3_4 = btn_3_4;
	}

	public Button getBtn_3_5() {
		return btn_3_5;
	}

	public void setBtn_3_5(Button btn_3_5) {
		this.btn_3_5 = btn_3_5;
	}

	public Button getBtn_3_6() {
		return btn_3_6;
	}

	public void setBtn_3_6(Button btn_3_6) {
		this.btn_3_6 = btn_3_6;
	}

	public Button getBtn_3_7() {
		return btn_3_7;
	}

	public void setBtn_3_7(Button btn_3_7) {
		this.btn_3_7 = btn_3_7;
	}

	public Button getBtn_3_8() {
		return btn_3_8;
	}

	public void setBtn_3_8(Button btn_3_8) {
		this.btn_3_8 = btn_3_8;
	}

	public Button getBtn_3_9() {
		return btn_3_9;
	}

	public void setBtn_3_9(Button btn_3_9) {
		this.btn_3_9 = btn_3_9;
	}

	public Button getBtn_4_1() {
		return btn_4_1;
	}

	public void setBtn_4_1(Button btn_4_1) {
		this.btn_4_1 = btn_4_1;
	}

	public Button getBtn_4_10() {
		return btn_4_10;
	}

	public void setBtn_4_10(Button btn_4_10) {
		this.btn_4_10 = btn_4_10;
	}

	public Button getBtn_4_11() {
		return btn_4_11;
	}

	public void setBtn_4_11(Button btn_4_11) {
		this.btn_4_11 = btn_4_11;
	}

	public Button getBtn_4_12() {
		return btn_4_12;
	}

	public void setBtn_4_12(Button btn_4_12) {
		this.btn_4_12 = btn_4_12;
	}

	public Button getBtn_4_13() {
		return btn_4_13;
	}

	public void setBtn_4_13(Button btn_4_13) {
		this.btn_4_13 = btn_4_13;
	}

	public Button getBtn_4_2() {
		return btn_4_2;
	}

	public void setBtn_4_2(Button btn_4_2) {
		this.btn_4_2 = btn_4_2;
	}

	public Button getBtn_4_3() {
		return btn_4_3;
	}

	public void setBtn_4_3(Button btn_4_3) {
		this.btn_4_3 = btn_4_3;
	}

	public Button getBtn_4_4() {
		return btn_4_4;
	}

	public void setBtn_4_4(Button btn_4_4) {
		this.btn_4_4 = btn_4_4;
	}

	public Button getBtn_4_5() {
		return btn_4_5;
	}

	public void setBtn_4_5(Button btn_4_5) {
		this.btn_4_5 = btn_4_5;
	}

	public Button getBtn_4_6() {
		return btn_4_6;
	}

	public void setBtn_4_6(Button btn_4_6) {
		this.btn_4_6 = btn_4_6;
	}

	public Button getBtn_4_7() {
		return btn_4_7;
	}

	public void setBtn_4_7(Button btn_4_7) {
		this.btn_4_7 = btn_4_7;
	}

	public Button getBtn_4_8() {
		return btn_4_8;
	}

	public void setBtn_4_8(Button btn_4_8) {
		this.btn_4_8 = btn_4_8;
	}

	public Button getBtn_4_9() {
		return btn_4_9;
	}

	public void setBtn_4_9(Button btn_4_9) {
		this.btn_4_9 = btn_4_9;
	}

	public Button getBtn_5_1() {
		return btn_5_1;
	}

	public void setBtn_5_1(Button btn_5_1) {
		this.btn_5_1 = btn_5_1;
	}

	public Button getBtn_5_10() {
		return btn_5_10;
	}

	public void setBtn_5_10(Button btn_5_10) {
		this.btn_5_10 = btn_5_10;
	}

	public Button getBtn_5_11() {
		return btn_5_11;
	}

	public void setBtn_5_11(Button btn_5_11) {
		this.btn_5_11 = btn_5_11;
	}

	public Button getBtn_5_12() {
		return btn_5_12;
	}

	public void setBtn_5_12(Button btn_5_12) {
		this.btn_5_12 = btn_5_12;
	}

	public Button getBtn_5_13() {
		return btn_5_13;
	}

	public void setBtn_5_13(Button btn_5_13) {
		this.btn_5_13 = btn_5_13;
	}

	public Button getBtn_5_2() {
		return btn_5_2;
	}

	public void setBtn_5_2(Button btn_5_2) {
		this.btn_5_2 = btn_5_2;
	}

	public Button getBtn_5_3() {
		return btn_5_3;
	}

	public void setBtn_5_3(Button btn_5_3) {
		this.btn_5_3 = btn_5_3;
	}

	public Button getBtn_5_4() {
		return btn_5_4;
	}

	public void setBtn_5_4(Button btn_5_4) {
		this.btn_5_4 = btn_5_4;
	}

	public Button getBtn_5_5() {
		return btn_5_5;
	}

	public void setBtn_5_5(Button btn_5_5) {
		this.btn_5_5 = btn_5_5;
	}

	public Button getBtn_5_6() {
		return btn_5_6;
	}

	public void setBtn_5_6(Button btn_5_6) {
		this.btn_5_6 = btn_5_6;
	}

	public Button getBtn_5_7() {
		return btn_5_7;
	}

	public void setBtn_5_7(Button btn_5_7) {
		this.btn_5_7 = btn_5_7;
	}

	public Button getBtn_5_8() {
		return btn_5_8;
	}

	public void setBtn_5_8(Button btn_5_8) {
		this.btn_5_8 = btn_5_8;
	}

	public Button getBtn_5_9() {
		return btn_5_9;
	}

	public void setBtn_5_9(Button btn_5_9) {
		this.btn_5_9 = btn_5_9;
	}

	public Button getBtn_6_1() {
		return btn_6_1;
	}

	public void setBtn_6_1(Button btn_6_1) {
		this.btn_6_1 = btn_6_1;
	}

	public Button getBtn_6_10() {
		return btn_6_10;
	}

	public void setBtn_6_10(Button btn_6_10) {
		this.btn_6_10 = btn_6_10;
	}

	public Button getBtn_6_11() {
		return btn_6_11;
	}

	public void setBtn_6_11(Button btn_6_11) {
		this.btn_6_11 = btn_6_11;
	}

	public Button getBtn_6_12() {
		return btn_6_12;
	}

	public void setBtn_6_12(Button btn_6_12) {
		this.btn_6_12 = btn_6_12;
	}

	public Button getBtn_6_13() {
		return btn_6_13;
	}

	public void setBtn_6_13(Button btn_6_13) {
		this.btn_6_13 = btn_6_13;
	}

	public Button getBtn_6_2() {
		return btn_6_2;
	}

	public void setBtn_6_2(Button btn_6_2) {
		this.btn_6_2 = btn_6_2;
	}

	public Button getBtn_6_3() {
		return btn_6_3;
	}

	public void setBtn_6_3(Button btn_6_3) {
		this.btn_6_3 = btn_6_3;
	}

	public Button getBtn_6_4() {
		return btn_6_4;
	}

	public void setBtn_6_4(Button btn_6_4) {
		this.btn_6_4 = btn_6_4;
	}

	public Button getBtn_6_5() {
		return btn_6_5;
	}

	public void setBtn_6_5(Button btn_6_5) {
		this.btn_6_5 = btn_6_5;
	}

	public Button getBtn_6_6() {
		return btn_6_6;
	}

	public void setBtn_6_6(Button btn_6_6) {
		this.btn_6_6 = btn_6_6;
	}

	public Button getBtn_6_7() {
		return btn_6_7;
	}

	public void setBtn_6_7(Button btn_6_7) {
		this.btn_6_7 = btn_6_7;
	}

	public Button getBtn_6_8() {
		return btn_6_8;
	}

	public void setBtn_6_8(Button btn_6_8) {
		this.btn_6_8 = btn_6_8;
	}

	public Button getBtn_6_9() {
		return btn_6_9;
	}

	public void setBtn_6_9(Button btn_6_9) {
		this.btn_6_9 = btn_6_9;
	}

	public Button getBtn_7_1() {
		return btn_7_1;
	}

	public void setBtn_7_1(Button btn_7_1) {
		this.btn_7_1 = btn_7_1;
	}

	public Button getBtn_7_10() {
		return btn_7_10;
	}

	public void setBtn_7_10(Button btn_7_10) {
		this.btn_7_10 = btn_7_10;
	}

	public Button getBtn_7_11() {
		return btn_7_11;
	}

	public void setBtn_7_11(Button btn_7_11) {
		this.btn_7_11 = btn_7_11;
	}

	public Button getBtn_7_12() {
		return btn_7_12;
	}

	public void setBtn_7_12(Button btn_7_12) {
		this.btn_7_12 = btn_7_12;
	}

	public Button getBtn_7_13() {
		return btn_7_13;
	}

	public void setBtn_7_13(Button btn_7_13) {
		this.btn_7_13 = btn_7_13;
	}

	public Button getBtn_7_2() {
		return btn_7_2;
	}

	public void setBtn_7_2(Button btn_7_2) {
		this.btn_7_2 = btn_7_2;
	}

	public Button getBtn_7_3() {
		return btn_7_3;
	}

	public void setBtn_7_3(Button btn_7_3) {
		this.btn_7_3 = btn_7_3;
	}

	public Button getBtn_7_4() {
		return btn_7_4;
	}

	public void setBtn_7_4(Button btn_7_4) {
		this.btn_7_4 = btn_7_4;
	}

	public Button getBtn_7_5() {
		return btn_7_5;
	}

	public void setBtn_7_5(Button btn_7_5) {
		this.btn_7_5 = btn_7_5;
	}

	public Button getBtn_7_6() {
		return btn_7_6;
	}

	public void setBtn_7_6(Button btn_7_6) {
		this.btn_7_6 = btn_7_6;
	}

	public Button getBtn_7_7() {
		return btn_7_7;
	}

	public void setBtn_7_7(Button btn_7_7) {
		this.btn_7_7 = btn_7_7;
	}

	public Button getBtn_7_8() {
		return btn_7_8;
	}

	public void setBtn_7_8(Button btn_7_8) {
		this.btn_7_8 = btn_7_8;
	}

	public Button getBtn_7_9() {
		return btn_7_9;
	}

	public void setBtn_7_9(Button btn_7_9) {
		this.btn_7_9 = btn_7_9;
	}

	public Button getBtn_1_14() {
		return btn_1_14;
	}

	public void setBtn_1_14(Button btn_1_14) {
		this.btn_1_14 = btn_1_14;
	}

	public Button getBtn_1_15() {
		return btn_1_15;
	}

	public void setBtn_1_15(Button btn_1_15) {
		this.btn_1_15 = btn_1_15;
	}

	public Button getBtn_1_16() {
		return btn_1_16;
	}

	public void setBtn_1_16(Button btn_1_16) {
		this.btn_1_16 = btn_1_16;
	}

	public Button getBtn_1_17() {
		return btn_1_17;
	}

	public void setBtn_1_17(Button btn_1_17) {
		this.btn_1_17 = btn_1_17;
	}

	public Button getBtn_1_18() {
		return btn_1_18;
	}

	public void setBtn_1_18(Button btn_1_18) {
		this.btn_1_18 = btn_1_18;
	}

	public Button getBtn_1_19() {
		return btn_1_19;
	}

	public void setBtn_1_19(Button btn_1_19) {
		this.btn_1_19 = btn_1_19;
	}

	public Button getBtn_1_20() {
		return btn_1_20;
	}

	public void setBtn_1_20(Button btn_1_20) {
		this.btn_1_20 = btn_1_20;
	}

	public Button getBtn_1_21() {
		return btn_1_21;
	}

	public void setBtn_1_21(Button btn_1_21) {
		this.btn_1_21 = btn_1_21;
	}

	public Button getBtn_1_22() {
		return btn_1_22;
	}

	public void setBtn_1_22(Button btn_1_22) {
		this.btn_1_22 = btn_1_22;
	}

	public Button getBtn_1_23() {
		return btn_1_23;
	}

	public void setBtn_1_23(Button btn_1_23) {
		this.btn_1_23 = btn_1_23;
	}

	public Button getBtn_1_24() {
		return btn_1_24;
	}

	public void setBtn_1_24(Button btn_1_24) {
		this.btn_1_24 = btn_1_24;
	}

	public Button getBtn_1_25() {
		return btn_1_25;
	}

	public void setBtn_1_25(Button btn_1_25) {
		this.btn_1_25 = btn_1_25;
	}

	public Button getBtn_2_14() {
		return btn_2_14;
	}

	public void setBtn_2_14(Button btn_2_14) {
		this.btn_2_14 = btn_2_14;
	}

	public Button getBtn_2_15() {
		return btn_2_15;
	}

	public void setBtn_2_15(Button btn_2_15) {
		this.btn_2_15 = btn_2_15;
	}

	public Button getBtn_2_16() {
		return btn_2_16;
	}

	public void setBtn_2_16(Button btn_2_16) {
		this.btn_2_16 = btn_2_16;
	}

	public Button getBtn_2_17() {
		return btn_2_17;
	}

	public void setBtn_2_17(Button btn_2_17) {
		this.btn_2_17 = btn_2_17;
	}

	public Button getBtn_2_18() {
		return btn_2_18;
	}

	public void setBtn_2_18(Button btn_2_18) {
		this.btn_2_18 = btn_2_18;
	}

	public Button getBtn_2_19() {
		return btn_2_19;
	}

	public void setBtn_2_19(Button btn_2_19) {
		this.btn_2_19 = btn_2_19;
	}

	public Button getBtn_2_20() {
		return btn_2_20;
	}

	public void setBtn_2_20(Button btn_2_20) {
		this.btn_2_20 = btn_2_20;
	}

	public Button getBtn_2_21() {
		return btn_2_21;
	}

	public void setBtn_2_21(Button btn_2_21) {
		this.btn_2_21 = btn_2_21;
	}

	public Button getBtn_2_22() {
		return btn_2_22;
	}

	public void setBtn_2_22(Button btn_2_22) {
		this.btn_2_22 = btn_2_22;
	}

	public Button getBtn_2_23() {
		return btn_2_23;
	}

	public void setBtn_2_23(Button btn_2_23) {
		this.btn_2_23 = btn_2_23;
	}

	public Button getBtn_2_24() {
		return btn_2_24;
	}

	public void setBtn_2_24(Button btn_2_24) {
		this.btn_2_24 = btn_2_24;
	}

	public Button getBtn_2_25() {
		return btn_2_25;
	}

	public void setBtn_2_25(Button btn_2_25) {
		this.btn_2_25 = btn_2_25;
	}

	public Button getBtn_3_14() {
		return btn_3_14;
	}

	public void setBtn_3_14(Button btn_3_14) {
		this.btn_3_14 = btn_3_14;
	}

	public Button getBtn_3_15() {
		return btn_3_15;
	}

	public void setBtn_3_15(Button btn_3_15) {
		this.btn_3_15 = btn_3_15;
	}

	public Button getBtn_3_16() {
		return btn_3_16;
	}

	public void setBtn_3_16(Button btn_3_16) {
		this.btn_3_16 = btn_3_16;
	}

	public Button getBtn_3_17() {
		return btn_3_17;
	}

	public void setBtn_3_17(Button btn_3_17) {
		this.btn_3_17 = btn_3_17;
	}

	public Button getBtn_3_18() {
		return btn_3_18;
	}

	public void setBtn_3_18(Button btn_3_18) {
		this.btn_3_18 = btn_3_18;
	}

	public Button getBtn_3_19() {
		return btn_3_19;
	}

	public void setBtn_3_19(Button btn_3_19) {
		this.btn_3_19 = btn_3_19;
	}

	public Button getBtn_3_20() {
		return btn_3_20;
	}

	public void setBtn_3_20(Button btn_3_20) {
		this.btn_3_20 = btn_3_20;
	}

	public Button getBtn_3_21() {
		return btn_3_21;
	}

	public void setBtn_3_21(Button btn_3_21) {
		this.btn_3_21 = btn_3_21;
	}

	public Button getBtn_3_22() {
		return btn_3_22;
	}

	public void setBtn_3_22(Button btn_3_22) {
		this.btn_3_22 = btn_3_22;
	}

	public Button getBtn_3_23() {
		return btn_3_23;
	}

	public void setBtn_3_23(Button btn_3_23) {
		this.btn_3_23 = btn_3_23;
	}

	public Button getBtn_3_24() {
		return btn_3_24;
	}

	public void setBtn_3_24(Button btn_3_24) {
		this.btn_3_24 = btn_3_24;
	}

	public Button getBtn_3_25() {
		return btn_3_25;
	}

	public void setBtn_3_25(Button btn_3_25) {
		this.btn_3_25 = btn_3_25;
	}

	public Button getBtn_4_14() {
		return btn_4_14;
	}

	public void setBtn_4_14(Button btn_4_14) {
		this.btn_4_14 = btn_4_14;
	}

	public Button getBtn_4_15() {
		return btn_4_15;
	}

	public void setBtn_4_15(Button btn_4_15) {
		this.btn_4_15 = btn_4_15;
	}

	public Button getBtn_4_16() {
		return btn_4_16;
	}

	public void setBtn_4_16(Button btn_4_16) {
		this.btn_4_16 = btn_4_16;
	}

	public Button getBtn_4_17() {
		return btn_4_17;
	}

	public void setBtn_4_17(Button btn_4_17) {
		this.btn_4_17 = btn_4_17;
	}

	public Button getBtn_4_18() {
		return btn_4_18;
	}

	public void setBtn_4_18(Button btn_4_18) {
		this.btn_4_18 = btn_4_18;
	}

	public Button getBtn_4_19() {
		return btn_4_19;
	}

	public void setBtn_4_19(Button btn_4_19) {
		this.btn_4_19 = btn_4_19;
	}

	public Button getBtn_4_20() {
		return btn_4_20;
	}

	public void setBtn_4_20(Button btn_4_20) {
		this.btn_4_20 = btn_4_20;
	}

	public Button getBtn_4_21() {
		return btn_4_21;
	}

	public void setBtn_4_21(Button btn_4_21) {
		this.btn_4_21 = btn_4_21;
	}

	public Button getBtn_4_22() {
		return btn_4_22;
	}

	public void setBtn_4_22(Button btn_4_22) {
		this.btn_4_22 = btn_4_22;
	}

	public Button getBtn_4_23() {
		return btn_4_23;
	}

	public void setBtn_4_23(Button btn_4_23) {
		this.btn_4_23 = btn_4_23;
	}

	public Button getBtn_4_24() {
		return btn_4_24;
	}

	public void setBtn_4_24(Button btn_4_24) {
		this.btn_4_24 = btn_4_24;
	}

	public Button getBtn_4_25() {
		return btn_4_25;
	}

	public void setBtn_4_25(Button btn_4_25) {
		this.btn_4_25 = btn_4_25;
	}

	public Button getBtn_5_14() {
		return btn_5_14;
	}

	public void setBtn_5_14(Button btn_5_14) {
		this.btn_5_14 = btn_5_14;
	}

	public Button getBtn_5_15() {
		return btn_5_15;
	}

	public void setBtn_5_15(Button btn_5_15) {
		this.btn_5_15 = btn_5_15;
	}

	public Button getBtn_5_16() {
		return btn_5_16;
	}

	public void setBtn_5_16(Button btn_5_16) {
		this.btn_5_16 = btn_5_16;
	}

	public Button getBtn_5_17() {
		return btn_5_17;
	}

	public void setBtn_5_17(Button btn_5_17) {
		this.btn_5_17 = btn_5_17;
	}

	public Button getBtn_5_18() {
		return btn_5_18;
	}

	public void setBtn_5_18(Button btn_5_18) {
		this.btn_5_18 = btn_5_18;
	}

	public Button getBtn_5_19() {
		return btn_5_19;
	}

	public void setBtn_5_19(Button btn_5_19) {
		this.btn_5_19 = btn_5_19;
	}

	public Button getBtn_5_20() {
		return btn_5_20;
	}

	public void setBtn_5_20(Button btn_5_20) {
		this.btn_5_20 = btn_5_20;
	}

	public Button getBtn_5_21() {
		return btn_5_21;
	}

	public void setBtn_5_21(Button btn_5_21) {
		this.btn_5_21 = btn_5_21;
	}

	public Button getBtn_5_22() {
		return btn_5_22;
	}

	public void setBtn_5_22(Button btn_5_22) {
		this.btn_5_22 = btn_5_22;
	}

	public Button getBtn_5_23() {
		return btn_5_23;
	}

	public void setBtn_5_23(Button btn_5_23) {
		this.btn_5_23 = btn_5_23;
	}

	public Button getBtn_5_24() {
		return btn_5_24;
	}

	public void setBtn_5_24(Button btn_5_24) {
		this.btn_5_24 = btn_5_24;
	}

	public Button getBtn_5_25() {
		return btn_5_25;
	}

	public void setBtn_5_25(Button btn_5_25) {
		this.btn_5_25 = btn_5_25;
	}

	public Button getBtn_6_14() {
		return btn_6_14;
	}

	public void setBtn_6_14(Button btn_6_14) {
		this.btn_6_14 = btn_6_14;
	}

	public Button getBtn_6_15() {
		return btn_6_15;
	}

	public void setBtn_6_15(Button btn_6_15) {
		this.btn_6_15 = btn_6_15;
	}

	public Button getBtn_6_16() {
		return btn_6_16;
	}

	public void setBtn_6_16(Button btn_6_16) {
		this.btn_6_16 = btn_6_16;
	}

	public Button getBtn_6_17() {
		return btn_6_17;
	}

	public void setBtn_6_17(Button btn_6_17) {
		this.btn_6_17 = btn_6_17;
	}

	public Button getBtn_6_18() {
		return btn_6_18;
	}

	public void setBtn_6_18(Button btn_6_18) {
		this.btn_6_18 = btn_6_18;
	}

	public Button getBtn_6_19() {
		return btn_6_19;
	}

	public void setBtn_6_19(Button btn_6_19) {
		this.btn_6_19 = btn_6_19;
	}

	public Button getBtn_6_20() {
		return btn_6_20;
	}

	public void setBtn_6_20(Button btn_6_20) {
		this.btn_6_20 = btn_6_20;
	}

	public Button getBtn_6_21() {
		return btn_6_21;
	}

	public void setBtn_6_21(Button btn_6_21) {
		this.btn_6_21 = btn_6_21;
	}

	public Button getBtn_6_22() {
		return btn_6_22;
	}

	public void setBtn_6_22(Button btn_6_22) {
		this.btn_6_22 = btn_6_22;
	}

	public Button getBtn_6_23() {
		return btn_6_23;
	}

	public void setBtn_6_23(Button btn_6_23) {
		this.btn_6_23 = btn_6_23;
	}

	public Button getBtn_6_24() {
		return btn_6_24;
	}

	public void setBtn_6_24(Button btn_6_24) {
		this.btn_6_24 = btn_6_24;
	}

	public Button getBtn_6_25() {
		return btn_6_25;
	}

	public void setBtn_6_25(Button btn_6_25) {
		this.btn_6_25 = btn_6_25;
	}

	public Button getBtn_7_14() {
		return btn_7_14;
	}

	public void setBtn_7_14(Button btn_7_14) {
		this.btn_7_14 = btn_7_14;
	}

	public Button getBtn_7_15() {
		return btn_7_15;
	}

	public void setBtn_7_15(Button btn_7_15) {
		this.btn_7_15 = btn_7_15;
	}

	public Button getBtn_7_16() {
		return btn_7_16;
	}

	public void setBtn_7_16(Button btn_7_16) {
		this.btn_7_16 = btn_7_16;
	}

	public Button getBtn_7_17() {
		return btn_7_17;
	}

	public void setBtn_7_17(Button btn_7_17) {
		this.btn_7_17 = btn_7_17;
	}

	public Button getBtn_7_18() {
		return btn_7_18;
	}

	public void setBtn_7_18(Button btn_7_18) {
		this.btn_7_18 = btn_7_18;
	}

	public Button getBtn_7_19() {
		return btn_7_19;
	}

	public void setBtn_7_19(Button btn_7_19) {
		this.btn_7_19 = btn_7_19;
	}

	public Button getBtn_7_20() {
		return btn_7_20;
	}

	public void setBtn_7_20(Button btn_7_20) {
		this.btn_7_20 = btn_7_20;
	}

	public Button getBtn_7_21() {
		return btn_7_21;
	}

	public void setBtn_7_21(Button btn_7_21) {
		this.btn_7_21 = btn_7_21;
	}

	public Button getBtn_7_22() {
		return btn_7_22;
	}

	public void setBtn_7_22(Button btn_7_22) {
		this.btn_7_22 = btn_7_22;
	}

	public Button getBtn_7_23() {
		return btn_7_23;
	}

	public void setBtn_7_23(Button btn_7_23) {
		this.btn_7_23 = btn_7_23;
	}

	public Button getBtn_7_24() {
		return btn_7_24;
	}

	public void setBtn_7_24(Button btn_7_24) {
		this.btn_7_24 = btn_7_24;
	}

	public Button getBtn_7_25() {
		return btn_7_25;
	}

	public void setBtn_7_25(Button btn_7_25) {
		this.btn_7_25 = btn_7_25;
	}

	public Button getBtn_1_26() {
		return btn_1_26;
	}

	public void setBtn_1_26(Button btn_1_26) {
		this.btn_1_26 = btn_1_26;
	}

	public Button getBtn_2_26() {
		return btn_2_26;
	}

	public void setBtn_2_26(Button btn_2_26) {
		this.btn_2_26 = btn_2_26;
	}

	public Button getBtn_3_26() {
		return btn_3_26;
	}

	public void setBtn_3_26(Button btn_3_26) {
		this.btn_3_26 = btn_3_26;
	}

	public Button getBtn_4_26() {
		return btn_4_26;
	}

	public void setBtn_4_26(Button btn_4_26) {
		this.btn_4_26 = btn_4_26;
	}

	public Button getBtn_5_26() {
		return btn_5_26;
	}

	public void setBtn_5_26(Button btn_5_26) {
		this.btn_5_26 = btn_5_26;
	}

	public Button getBtn_6_26() {
		return btn_6_26;
	}

	public void setBtn_6_26(Button btn_6_26) {
		this.btn_6_26 = btn_6_26;
	}

	public Button getBtn_7_26() {
		return btn_7_26;
	}

	public void setBtn_7_26(Button btn_7_26) {
		this.btn_7_26 = btn_7_26;
	}

	public DiagramaAutobus getDiagramaAutobus() {
		return diagramaAutobus;
	}

	public void setDiagramaAutobus(DiagramaAutobus diagramaAutobus) {
		this.diagramaAutobus = diagramaAutobus;
	}

	public DiagramaAutobusService getDiagramaAutoBusService() {
		return diagramaAutoBusService;
	}

	public void setDiagramaAutoBusService(DiagramaAutobusService diagramaAutoBusService) {
		this.diagramaAutoBusService = diagramaAutoBusService;
	}

	public MyListbox getDiagramaAutobusList() {
		return diagramaAutobusList;
	}

	public void setDiagramaAutobusList(MyListbox diagramaAutobusList) {
		this.diagramaAutobusList = diagramaAutobusList;
	}

	private Button getButtonAssento(Short numeFila, Short numeColuna) {
		Button button = null;
		switch (numeFila) {
		case 1:
			switch (numeColuna) {
			case 1:
				button = btn_1_1;
				break;
			case 2:
				button = btn_1_2;
				break;
			case 3:
				button = btn_1_3;
				break;
			case 4:
				button = btn_1_4;
				break;
			case 5:
				button = btn_1_5;
				break;
			case 6:
				button = btn_1_6;
				break;
			case 7:
				button = btn_1_7;
				break;
			case 8:
				button = btn_1_8;
				break;
			case 9:
				button = btn_1_9;
				break;
			case 10:
				button = btn_1_10;
				break;
			case 11:
				button = btn_1_11;
				break;
			case 12:
				button = btn_1_12;
				break;
			case 13:
				button = btn_1_13;
				break;
			case 14:
				button = btn_1_14;
				break;
			case 15:
				button = btn_1_15;
				break;
			case 16:
				button = btn_1_16;
				break;
			case 17:
				button = btn_1_17;
				break;
			case 18:
				button = btn_1_18;
				break;
			case 19:
				button = btn_1_19;
				break;
			case 20:
				button = btn_1_20;
				break;
			case 21:
				button = btn_1_21;
				break;
			case 22:
				button = btn_1_22;
				break;
			case 23:
				button = btn_1_23;
				break;
			case 24:
				button = btn_1_24;
				break;
			case 25:
				button = btn_1_25;
				break;
			case 26:
				button = btn_1_26;
				break;
			}
			break;
		case 2:
			switch (numeColuna) {
			case 1:
				button = btn_2_1;
				break;
			case 2:
				button = btn_2_2;
				break;
			case 3:
				button = btn_2_3;
				break;
			case 4:
				button = btn_2_4;
				break;
			case 5:
				button = btn_2_5;
				break;
			case 6:
				button = btn_2_6;
				break;
			case 7:
				button = btn_2_7;
				break;
			case 8:
				button = btn_2_8;
				break;
			case 9:
				button = btn_2_9;
				break;
			case 10:
				button = btn_2_10;
				break;
			case 11:
				button = btn_2_11;
				break;
			case 12:
				button = btn_2_12;
				break;
			case 13:
				button = btn_2_13;
				break;
			case 14:
				button = btn_2_14;
				break;
			case 15:
				button = btn_2_15;
				break;
			case 16:
				button = btn_2_16;
				break;
			case 17:
				button = btn_2_17;
				break;
			case 18:
				button = btn_2_18;
				break;
			case 19:
				button = btn_2_19;
				break;
			case 20:
				button = btn_2_20;
				break;
			case 21:
				button = btn_2_21;
				break;
			case 22:
				button = btn_2_22;
				break;
			case 23:
				button = btn_2_23;
				break;
			case 24:
				button = btn_2_24;
				break;
			case 25:
				button = btn_2_25;
				break;
			case 26:
				button = btn_2_26;
				break;
			}
			break;
		case 3:
			switch (numeColuna) {
			case 1:
				button = btn_3_1;
				break;
			case 2:
				button = btn_3_2;
				break;
			case 3:
				button = btn_3_3;
				break;
			case 4:
				button = btn_3_4;
				break;
			case 5:
				button = btn_3_5;
				break;
			case 6:
				button = btn_3_6;
				break;
			case 7:
				button = btn_3_7;
				break;
			case 8:
				button = btn_3_8;
				break;
			case 9:
				button = btn_3_9;
				break;
			case 10:
				button = btn_3_10;
				break;
			case 11:
				button = btn_3_11;
				break;
			case 12:
				button = btn_3_12;
				break;
			case 13:
				button = btn_3_13;
				break;
			case 14:
				button = btn_3_14;
				break;
			case 15:
				button = btn_3_15;
				break;
			case 16:
				button = btn_3_16;
				break;
			case 17:
				button = btn_3_17;
				break;
			case 18:
				button = btn_3_18;
				break;
			case 19:
				button = btn_3_19;
				break;
			case 20:
				button = btn_3_20;
				break;
			case 21:
				button = btn_3_21;
				break;
			case 22:
				button = btn_3_22;
				break;
			case 23:
				button = btn_3_23;
				break;
			case 24:
				button = btn_3_24;
				break;
			case 25:
				button = btn_3_25;
				break;
			case 26:
				button = btn_3_26;
				break;
			}
			break;
		case 4:
			switch (numeColuna) {
			case 1:
				button = btn_4_1;
				break;
			case 2:
				button = btn_4_2;
				break;
			case 3:
				button = btn_4_3;
				break;
			case 4:
				button = btn_4_4;
				break;
			case 5:
				button = btn_4_5;
				break;
			case 6:
				button = btn_4_6;
				break;
			case 7:
				button = btn_4_7;
				break;
			case 8:
				button = btn_4_8;
				break;
			case 9:
				button = btn_4_9;
				break;
			case 10:
				button = btn_4_10;
				break;
			case 11:
				button = btn_4_11;
				break;
			case 12:
				button = btn_4_12;
				break;
			case 13:
				button = btn_4_13;
				break;
			case 14:
				button = btn_4_14;
				break;
			case 15:
				button = btn_4_15;
				break;
			case 16:
				button = btn_4_16;
				break;
			case 17:
				button = btn_4_17;
				break;
			case 18:
				button = btn_4_18;
				break;
			case 19:
				button = btn_4_19;
				break;
			case 20:
				button = btn_4_20;
				break;
			case 21:
				button = btn_4_21;
				break;
			case 22:
				button = btn_4_22;
				break;
			case 23:
				button = btn_4_23;
				break;
			case 24:
				button = btn_4_24;
				break;
			case 25:
				button = btn_4_25;
				break;
			case 26:
				button = btn_4_26;
				break;
			}
			break;
		case 5:
			switch (numeColuna) {
			case 1:
				button = btn_5_1;
				break;
			case 2:
				button = btn_5_2;
				break;
			case 3:
				button = btn_5_3;
				break;
			case 4:
				button = btn_5_4;
				break;
			case 5:
				button = btn_5_5;
				break;
			case 6:
				button = btn_5_6;
				break;
			case 7:
				button = btn_5_7;
				break;
			case 8:
				button = btn_5_8;
				break;
			case 9:
				button = btn_5_9;
				break;
			case 10:
				button = btn_5_10;
				break;
			case 11:
				button = btn_5_11;
				break;
			case 12:
				button = btn_5_12;
				break;
			case 13:
				button = btn_5_13;
				break;
			case 14:
				button = btn_5_14;
				break;
			case 15:
				button = btn_5_15;
				break;
			case 16:
				button = btn_5_16;
				break;
			case 17:
				button = btn_5_17;
				break;
			case 18:
				button = btn_5_18;
				break;
			case 19:
				button = btn_5_19;
				break;
			case 20:
				button = btn_5_20;
				break;
			case 21:
				button = btn_5_21;
				break;
			case 22:
				button = btn_5_22;
				break;
			case 23:
				button = btn_5_23;
				break;
			case 24:
				button = btn_5_24;
				break;
			case 25:
				button = btn_5_25;
				break;
			case 26:
				button = btn_5_26;
				break;
			}
			break;
		case 6:
			switch (numeColuna) {
			case 1:
				button = btn_6_1;
				break;
			case 2:
				button = btn_6_2;
				break;
			case 3:
				button = btn_6_3;
				break;
			case 4:
				button = btn_6_4;
				break;
			case 5:
				button = btn_6_5;
				break;
			case 6:
				button = btn_6_6;
				break;
			case 7:
				button = btn_6_7;
				break;
			case 8:
				button = btn_6_8;
				break;
			case 9:
				button = btn_6_9;
				break;
			case 10:
				button = btn_6_10;
				break;
			case 11:
				button = btn_6_11;
				break;
			case 12:
				button = btn_6_12;
				break;
			case 13:
				button = btn_6_13;
				break;
			case 14:
				button = btn_6_14;
				break;
			case 15:
				button = btn_6_15;
				break;
			case 16:
				button = btn_6_16;
				break;
			case 17:
				button = btn_6_17;
				break;
			case 18:
				button = btn_6_18;
				break;
			case 19:
				button = btn_6_19;
				break;
			case 20:
				button = btn_6_20;
				break;
			case 21:
				button = btn_6_21;
				break;
			case 22:
				button = btn_6_22;
				break;
			case 23:
				button = btn_6_23;
				break;
			case 24:
				button = btn_6_24;
				break;
			case 25:
				button = btn_6_25;
				break;
			case 26:
				button = btn_6_26;
				break;
			}
			break;
		case 7:
			switch (numeColuna) {
			case 1:
				button = btn_7_1;
				break;
			case 2:
				button = btn_7_2;
				break;
			case 3:
				button = btn_7_3;
				break;
			case 4:
				button = btn_7_4;
				break;
			case 5:
				button = btn_7_5;
				break;
			case 6:
				button = btn_7_6;
				break;
			case 7:
				button = btn_7_7;
				break;
			case 8:
				button = btn_7_8;
				break;
			case 9:
				button = btn_7_9;
				break;
			case 10:
				button = btn_7_10;
				break;
			case 11:
				button = btn_7_11;
				break;
			case 12:
				button = btn_7_12;
				break;
			case 13:
				button = btn_7_13;
				break;
			case 14:
				button = btn_7_14;
				break;
			case 15:
				button = btn_7_15;
				break;
			case 16:
				button = btn_7_16;
				break;
			case 17:
				button = btn_7_17;
				break;
			case 18:
				button = btn_7_18;
				break;
			case 19:
				button = btn_7_19;
				break;
			case 20:
				button = btn_7_20;
				break;
			case 21:
				button = btn_7_21;
				break;
			case 22:
				button = btn_7_22;
				break;
			case 23:
				button = btn_7_23;
				break;
			case 24:
				button = btn_7_24;
				break;
			case 25:
				button = btn_7_25;
				break;
			case 26:
				button = btn_7_26;
				break;
			}
			break;
		}

		return button;
	}

	private void abrirDetalheDiagramaAutobus(Integer numeFila, Integer numeColuna,
			Button button) {
		try {
			Map args = new HashMap();

			log.debug("fila=" + numeFila + ";numeColuna=" + numeColuna + ";buttonid=" + button.getId());

			DetDiagramaAutobus detDiagramaAutobus = new DetDiagramaAutobus();
			if (!button.getLabel().isEmpty()) {
				String[] nomeButton = button.getId().split("_");
				String stNumeFila = nomeButton[1];
				String stNumeColuna = nomeButton[2];

				Short nf = Short.parseShort(stNumeFila);
				Short nc = Short.parseShort(stNumeColuna);

				for (DetDiagramaAutobus dd : diagramaAutobus.getDetDiagramaAutobusList()) {
					if ((nf.equals(dd.getNumefila())) && (nc.equals(dd.getNumecolumna()))) {
						detDiagramaAutobus = dd;
					}
				}
			}

			args.put("detDiagramaAutobus", detDiagramaAutobus);
			args.put("autobusDiagrama", diagramaAutobus);
			args.put("button", button);
			args.put("numefila", numeFila.shortValue());
			args.put("numecolumna", numeColuna.shortValue());

			openWindow("/gui/esquema_operacional/editarDetDiagramaAutoBus.zul",
					Labels.getLabel("editarDetDiagramaAutobusController.window.title"),
					args, MODAL,true);
		} catch (Exception ex) {
			log.error(ex);
			Clients.alert(
					Labels.getLabel("MSG.Error"),
					Labels.getLabel("editarDiagramaAutobusController.window.title"),
					Messagebox.ERROR);
		}
	}

	@Override
	public void doAfterCompose(Component comp) throws Exception {
		super.doAfterCompose(comp);

		diagramaAutobus = (DiagramaAutobus) Executions.getCurrent().getArg().get("diagramaAutobus");
		if (diagramaAutobus.getDiagramaautobusId() != null) {
			diagramaAutobus = diagramaAutoBusService.obtenerID(diagramaAutobus.getDiagramaautobusId());
		}

		if (diagramaAutobus.getDetDiagramaAutobusList() == null) {
			diagramaAutobus.setDetDiagramaAutobusList(new ArrayList<DetDiagramaAutobus>());
		} else {

			for (DetDiagramaAutobus dd : diagramaAutobus.getDetDiagramaAutobusList()) {
				Button button = getButtonAssento(dd.getNumefila(), dd.getNumecolumna());
				button.setLabel(dd.getAsiento());
			}
		}

		if (diagramaAutobus.getDiagramaautobusId() == null) {
			btnApagar.setVisible(Boolean.FALSE);
		}

		txtDescDiagrama.focus();

		diagramaAutobusList = (MyListbox) Executions.getCurrent().getArg().get("diagramaAutobusList");
	}

	private Integer getQtdeAcientosCriados() {
		List<DetDiagramaAutobus> lsDetDiagramaAutobus = diagramaAutobus.getDetDiagramaAutobusList();
		Integer qtde = 0;
		for (DetDiagramaAutobus dda : lsDetDiagramaAutobus) {
			if (dda.getActivo()) {
				String asiento = dda.getAsiento();
				if (asiento != null) {
					Boolean temLetra = asiento.matches("^[a-zA-Z]+$");
					if (!temLetra) {
						qtde = qtde + 1;
					}
				}
			}
		}

		return qtde;
	}

	public void onClick$btnSalvar(Event ev) throws InterruptedException {
		try {
			Integer qtdeAssentosCriados = getQtdeAcientosCriados();
			Integer qtdeAssentosInformados = txtCantasSientos.getValue();
			txtDescDiagrama.getValue();

			if (qtdeAssentosCriados.compareTo(qtdeAssentosInformados) != 0) {
				Messagebox.show(
						Labels.getLabel("editarDetDiagramaAutobusController.MSG.validacionCantAsientosSalvar"),
						Labels.getLabel("editarDiagramaAutobusController.window.title"),
						Messagebox.OK, Messagebox.EXCLAMATION);
				return;
			}

			diagramaAutobus.setActivo(Boolean.TRUE);
			diagramaAutobus.setFecmodif(Calendar.getInstance().getTime());
			diagramaAutobus.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());

			if (diagramaAutobus.getDetDiagramaAutobusList().size() > 0) {
				if (diagramaAutobus.getDiagramaautobusId() == null) {
					List<DiagramaAutobus> lsDiagramaAutobus =
							diagramaAutoBusService.buscar(diagramaAutobus.getDescDiagrama());

					if (lsDiagramaAutobus.isEmpty()) {
						diagramaAutoBusService.suscribir(diagramaAutobus);
						diagramaAutobusList.addItem(diagramaAutobus);

						Messagebox.show(
								Labels.getLabel("editarDiagramaAutobusController.MSG.suscribirOK"),
								Labels.getLabel("editarDiagramaAutobusController.window.title"),
								Messagebox.OK, Messagebox.INFORMATION);

						closeWindow();
					} else {
						Messagebox.show(
								Labels.getLabel("MSG.Registro.Existe"),
								Labels.getLabel("editarDiagramaAutobusController.window.title"),
								Messagebox.OK, Messagebox.EXCLAMATION);
					}
				} else {
					diagramaAutoBusService.actualizacion(diagramaAutobus);
					diagramaAutobusList.updateItem(diagramaAutobus);

					Messagebox.show(
							Labels.getLabel("editarDiagramaAutobusController.MSG.suscribirOK"),
							Labels.getLabel("editarDiagramaAutobusController.window.title"),
							Messagebox.OK, Messagebox.INFORMATION);

					closeWindow();
				}
			} else {
				Messagebox.show(
						Labels.getLabel("editarDiagramaAutobusController.Sem.Asiento"),
						Labels.getLabel("editarDiagramaAutobusController.window.title"),
						Messagebox.OK, Messagebox.EXCLAMATION);
			}
		} catch (Exception ex) {
			if (ex instanceof WrongValueException) {
				throw (WrongValueException) ex;
			}
			log.error("editarDiagramaAutobusController: " + ex);
			Messagebox.show(
					Labels.getLabel("MSG.Error"),
					Labels.getLabel("editarDiagramaAutobusController.window.title"),
					Messagebox.OK, Messagebox.ERROR);
		}
	}

	public void onClick$btnApagar(Event ev) {
		try {
			int resp = Messagebox.show(
					Labels.getLabel("editarDiagramaAutobusController.MSG.borrarPergunta"),
					Labels.getLabel("editarDiagramaAutobusController.window.title"),
					Messagebox.YES | Messagebox.NO, Messagebox.QUESTION);

			List<Corrida> lsCorridaAutobus =
					corridaService.buscarPorAutobusCorridasFuturas(diagramaAutobus);
			List<Corrida> lsCorridaRoloperativo =
					corridaService.buscarPorRolOperativoCorridasFuturas(diagramaAutobus);

			Boolean autobus = lsCorridaAutobus.isEmpty();
			Boolean rolRoloperativo = lsCorridaRoloperativo.isEmpty();

			if ((autobus) && (rolRoloperativo)) {
				if (resp == Messagebox.YES) {
					diagramaAutoBusService.borrar(diagramaAutobus);

					Messagebox.show(
							Labels.getLabel("editarDiagramaAutobusController.MSG.borrarOK"),
							Labels.getLabel("editarDiagramaAutobusController.window.title"),
							Messagebox.OK, Messagebox.INFORMATION);

					diagramaAutobusList.removeItem(diagramaAutobus);

					closeWindow();
				}
			} else {
				Messagebox.show(
						Labels.getLabel("editarDiagramaAutobusController.MSG.Corrida.Futura"),
						Labels.getLabel("editarDiagramaAutobusController.window.title"),
						Messagebox.OK, Messagebox.EXCLAMATION);
			}
		} catch (Exception ex) {
			log.error(ex);
		}
	}

	public void onClick$minNovoAsiento(Event ev) {
		try {
		} catch (Exception ex) {
			log.error(ex);
		}
	}

	public void onClick$btn_1_1(Event ev) {
		abrirDetalheDiagramaAutobus(1, 1, btn_1_1);
	}

	public void onClick$btn_1_2(Event ev) {
		abrirDetalheDiagramaAutobus(1, 2, btn_1_2);
	}

	public void onClick$btn_1_3(Event ev) {
		abrirDetalheDiagramaAutobus(1, 3, btn_1_3);
	}

	public void onClick$btn_1_4(Event ev) {
		abrirDetalheDiagramaAutobus(1, 4, btn_1_4);
	}

	public void onClick$btn_1_5(Event ev) {
		abrirDetalheDiagramaAutobus(1, 5, btn_1_5);
	}

	public void onClick$btn_1_6(Event ev) {
		abrirDetalheDiagramaAutobus(1, 6, btn_1_6);
	}

	public void onClick$btn_1_7(Event ev) {
		abrirDetalheDiagramaAutobus(1, 7, btn_1_7);
	}

	public void onClick$btn_1_8(Event ev) {
		abrirDetalheDiagramaAutobus(1, 8, btn_1_8);
	}

	public void onClick$btn_1_9(Event ev) {
		abrirDetalheDiagramaAutobus(1, 9, btn_1_9);
	}

	public void onClick$btn_1_10(Event ev) {
		abrirDetalheDiagramaAutobus(1, 10, btn_1_10);
	}

	public void onClick$btn_1_11(Event ev) {
		abrirDetalheDiagramaAutobus(1, 11, btn_1_11);
	}

	public void onClick$btn_1_12(Event ev) {
		abrirDetalheDiagramaAutobus(1, 12, btn_1_12);
	}

	public void onClick$btn_1_13(Event ev) {
		abrirDetalheDiagramaAutobus(1, 13, btn_1_13);
	}

	public void onClick$btn_1_14(Event ev) {
		abrirDetalheDiagramaAutobus(1, 14, btn_1_14);
	}

	public void onClick$btn_1_15(Event ev) {
		abrirDetalheDiagramaAutobus(1, 15, btn_1_15);
	}

	public void onClick$btn_1_16(Event ev) {
		abrirDetalheDiagramaAutobus(1, 16, btn_1_16);
	}

	public void onClick$btn_1_17(Event ev) {
		abrirDetalheDiagramaAutobus(1, 17, btn_1_17);
	}

	public void onClick$btn_1_18(Event ev) {
		abrirDetalheDiagramaAutobus(1, 18, btn_1_18);
	}

	public void onClick$btn_1_19(Event ev) {
		abrirDetalheDiagramaAutobus(1, 19, btn_1_19);
	}

	public void onClick$btn_1_20(Event ev) {
		abrirDetalheDiagramaAutobus(1, 20, btn_1_20);
	}

	public void onClick$btn_1_21(Event ev) {
		abrirDetalheDiagramaAutobus(1, 21, btn_1_21);
	}

	public void onClick$btn_1_22(Event ev) {
		abrirDetalheDiagramaAutobus(1, 22, btn_1_22);
	}

	public void onClick$btn_1_23(Event ev) {
		abrirDetalheDiagramaAutobus(1, 23, btn_1_23);
	}

	public void onClick$btn_1_24(Event ev) {
		abrirDetalheDiagramaAutobus(1, 24, btn_1_24);
	}

	public void onClick$btn_1_25(Event ev) {
		abrirDetalheDiagramaAutobus(1, 25, btn_1_25);
	}

	public void onClick$btn_1_26(Event ev) {
		abrirDetalheDiagramaAutobus(1, 26, btn_1_26);
	}

	public void onClick$btn_2_1(Event ev) {
		abrirDetalheDiagramaAutobus(2, 1, btn_2_1);
	}

	public void onClick$btn_2_2(Event ev) {
		abrirDetalheDiagramaAutobus(2, 2, btn_2_2);
	}

	public void onClick$btn_2_3(Event ev) {
		abrirDetalheDiagramaAutobus(2, 3, btn_2_3);
	}

	public void onClick$btn_2_4(Event ev) {
		abrirDetalheDiagramaAutobus(2, 4, btn_2_4);
	}

	public void onClick$btn_2_5(Event ev) {
		abrirDetalheDiagramaAutobus(2, 5, btn_2_5);
	}

	public void onClick$btn_2_6(Event ev) {
		abrirDetalheDiagramaAutobus(2, 6, btn_2_6);
	}

	public void onClick$btn_2_7(Event ev) {
		abrirDetalheDiagramaAutobus(2, 7, btn_2_7);
	}

	public void onClick$btn_2_8(Event ev) {
		abrirDetalheDiagramaAutobus(2, 8, btn_2_8);
	}

	public void onClick$btn_2_9(Event ev) {
		abrirDetalheDiagramaAutobus(2, 9, btn_2_9);
	}

	public void onClick$btn_2_10(Event ev) {
		abrirDetalheDiagramaAutobus(2, 10, btn_2_10);
	}

	public void onClick$btn_2_11(Event ev) {
		abrirDetalheDiagramaAutobus(2, 11, btn_2_11);
	}

	public void onClick$btn_2_12(Event ev) {
		abrirDetalheDiagramaAutobus(2, 12, btn_2_12);
	}

	public void onClick$btn_2_13(Event ev) {
		abrirDetalheDiagramaAutobus(2, 13, btn_2_13);
	}

	public void onClick$btn_2_14(Event ev) {
		abrirDetalheDiagramaAutobus(2, 14, btn_2_14);
	}

	public void onClick$btn_2_15(Event ev) {
		abrirDetalheDiagramaAutobus(2, 15, btn_2_15);
	}

	public void onClick$btn_2_16(Event ev) {
		abrirDetalheDiagramaAutobus(2, 16, btn_2_16);
	}

	public void onClick$btn_2_17(Event ev) {
		abrirDetalheDiagramaAutobus(2, 17, btn_2_17);
	}

	public void onClick$btn_2_18(Event ev) {
		abrirDetalheDiagramaAutobus(2, 18, btn_2_18);
	}

	public void onClick$btn_2_19(Event ev) {
		abrirDetalheDiagramaAutobus(2, 19, btn_2_19);
	}

	public void onClick$btn_2_20(Event ev) {
		abrirDetalheDiagramaAutobus(2, 20, btn_2_20);
	}

	public void onClick$btn_2_21(Event ev) {
		abrirDetalheDiagramaAutobus(2, 21, btn_2_21);
	}

	public void onClick$btn_2_22(Event ev) {
		abrirDetalheDiagramaAutobus(2, 22, btn_2_22);
	}

	public void onClick$btn_2_23(Event ev) {
		abrirDetalheDiagramaAutobus(2, 23, btn_2_23);
	}

	public void onClick$btn_2_24(Event ev) {
		abrirDetalheDiagramaAutobus(2, 24, btn_2_24);
	}

	public void onClick$btn_2_25(Event ev) {
		abrirDetalheDiagramaAutobus(2, 25, btn_2_25);
	}

	public void onClick$btn_2_26(Event ev) {
		abrirDetalheDiagramaAutobus(2, 26, btn_2_26);
	}

	public void onClick$btn_3_1(Event ev) {
		abrirDetalheDiagramaAutobus(3, 1, btn_3_1);
	}

	public void onClick$btn_3_2(Event ev) {
		abrirDetalheDiagramaAutobus(3, 2, btn_3_2);
	}

	public void onClick$btn_3_3(Event ev) {
		abrirDetalheDiagramaAutobus(3, 3, btn_3_3);
	}

	public void onClick$btn_3_4(Event ev) {
		abrirDetalheDiagramaAutobus(3, 4, btn_3_4);
	}

	public void onClick$btn_3_5(Event ev) {
		abrirDetalheDiagramaAutobus(3, 5, btn_3_5);
	}

	public void onClick$btn_3_6(Event ev) {
		abrirDetalheDiagramaAutobus(3, 6, btn_3_6);
	}

	public void onClick$btn_3_7(Event ev) {
		abrirDetalheDiagramaAutobus(3, 7, btn_3_7);
	}

	public void onClick$btn_3_8(Event ev) {
		abrirDetalheDiagramaAutobus(3, 8, btn_3_8);
	}

	public void onClick$btn_3_9(Event ev) {
		abrirDetalheDiagramaAutobus(3, 9, btn_3_9);
	}

	public void onClick$btn_3_10(Event ev) {
		abrirDetalheDiagramaAutobus(3, 10, btn_3_10);
	}

	public void onClick$btn_3_11(Event ev) {
		abrirDetalheDiagramaAutobus(3, 11, btn_3_11);
	}

	public void onClick$btn_3_12(Event ev) {
		abrirDetalheDiagramaAutobus(3, 12, btn_3_12);
	}

	public void onClick$btn_3_13(Event ev) {
		abrirDetalheDiagramaAutobus(3, 13, btn_3_13);
	}

	public void onClick$btn_3_14(Event ev) {
		abrirDetalheDiagramaAutobus(3, 14, btn_3_14);
	}

	public void onClick$btn_3_15(Event ev) {
		abrirDetalheDiagramaAutobus(3, 15, btn_3_15);
	}

	public void onClick$btn_3_16(Event ev) {
		abrirDetalheDiagramaAutobus(3, 16, btn_3_16);
	}

	public void onClick$btn_3_17(Event ev) {
		abrirDetalheDiagramaAutobus(3, 17, btn_3_17);
	}

	public void onClick$btn_3_18(Event ev) {
		abrirDetalheDiagramaAutobus(3, 18, btn_3_18);
	}

	public void onClick$btn_3_19(Event ev) {
		abrirDetalheDiagramaAutobus(3, 19, btn_3_19);
	}

	public void onClick$btn_3_20(Event ev) {
		abrirDetalheDiagramaAutobus(3, 20, btn_3_20);
	}

	public void onClick$btn_3_21(Event ev) {
		abrirDetalheDiagramaAutobus(3, 21, btn_3_21);
	}

	public void onClick$btn_3_22(Event ev) {
		abrirDetalheDiagramaAutobus(3, 22, btn_3_22);
	}

	public void onClick$btn_3_23(Event ev) {
		abrirDetalheDiagramaAutobus(3, 23, btn_3_23);
	}

	public void onClick$btn_3_24(Event ev) {
		abrirDetalheDiagramaAutobus(3, 24, btn_3_24);
	}

	public void onClick$btn_3_25(Event ev) {
		abrirDetalheDiagramaAutobus(3, 25, btn_3_25);
	}

	public void onClick$btn_3_26(Event ev) {
		abrirDetalheDiagramaAutobus(3, 26, btn_3_26);
	}

	public void onClick$btn_4_1(Event ev) {
		abrirDetalheDiagramaAutobus(4, 1, btn_4_1);
	}

	public void onClick$btn_4_2(Event ev) {
		abrirDetalheDiagramaAutobus(4, 2, btn_4_2);
	}

	public void onClick$btn_4_3(Event ev) {
		abrirDetalheDiagramaAutobus(4, 3, btn_4_3);
	}

	public void onClick$btn_4_4(Event ev) {
		abrirDetalheDiagramaAutobus(4, 4, btn_4_4);
	}

	public void onClick$btn_4_5(Event ev) {
		abrirDetalheDiagramaAutobus(4, 5, btn_4_5);
	}

	public void onClick$btn_4_6(Event ev) {
		abrirDetalheDiagramaAutobus(4, 6, btn_4_6);
	}

	public void onClick$btn_4_7(Event ev) {
		abrirDetalheDiagramaAutobus(4, 7, btn_4_7);
	}

	public void onClick$btn_4_8(Event ev) {
		abrirDetalheDiagramaAutobus(4, 8, btn_4_8);
	}

	public void onClick$btn_4_9(Event ev) {
		abrirDetalheDiagramaAutobus(4, 9, btn_4_9);
	}

	public void onClick$btn_4_10(Event ev) {
		abrirDetalheDiagramaAutobus(4, 10, btn_4_10);
	}

	public void onClick$btn_4_11(Event ev) {
		abrirDetalheDiagramaAutobus(4, 11, btn_4_11);
	}

	public void onClick$btn_4_12(Event ev) {
		abrirDetalheDiagramaAutobus(4, 12, btn_4_12);
	}

	public void onClick$btn_4_13(Event ev) {
		abrirDetalheDiagramaAutobus(4, 13, btn_4_13);
	}

	public void onClick$btn_4_14(Event ev) {
		abrirDetalheDiagramaAutobus(4, 14, btn_4_14);
	}

	public void onClick$btn_4_15(Event ev) {
		abrirDetalheDiagramaAutobus(4, 15, btn_4_15);
	}

	public void onClick$btn_4_16(Event ev) {
		abrirDetalheDiagramaAutobus(4, 16, btn_4_16);
	}

	public void onClick$btn_4_17(Event ev) {
		abrirDetalheDiagramaAutobus(4, 17, btn_4_17);
	}

	public void onClick$btn_4_18(Event ev) {
		abrirDetalheDiagramaAutobus(4, 18, btn_4_18);
	}

	public void onClick$btn_4_19(Event ev) {
		abrirDetalheDiagramaAutobus(4, 19, btn_4_19);
	}

	public void onClick$btn_4_20(Event ev) {
		abrirDetalheDiagramaAutobus(4, 20, btn_4_20);
	}

	public void onClick$btn_4_21(Event ev) {
		abrirDetalheDiagramaAutobus(4, 21, btn_4_21);
	}

	public void onClick$btn_4_22(Event ev) {
		abrirDetalheDiagramaAutobus(4, 22, btn_4_22);
	}

	public void onClick$btn_4_23(Event ev) {
		abrirDetalheDiagramaAutobus(4, 23, btn_4_23);
	}

	public void onClick$btn_4_24(Event ev) {
		abrirDetalheDiagramaAutobus(4, 24, btn_4_24);
	}

	public void onClick$btn_4_25(Event ev) {
		abrirDetalheDiagramaAutobus(4, 25, btn_4_25);
	}

	public void onClick$btn_4_26(Event ev) {
		abrirDetalheDiagramaAutobus(4, 26, btn_4_26);
	}

	public void onClick$btn_5_1(Event ev) {
		abrirDetalheDiagramaAutobus(5, 1, btn_5_1);
	}

	public void onClick$btn_5_2(Event ev) {
		abrirDetalheDiagramaAutobus(5, 2, btn_5_2);
	}

	public void onClick$btn_5_3(Event ev) {
		abrirDetalheDiagramaAutobus(5, 3, btn_5_3);
	}

	public void onClick$btn_5_4(Event ev) {
		abrirDetalheDiagramaAutobus(5, 4, btn_5_4);
	}

	public void onClick$btn_5_5(Event ev) {
		abrirDetalheDiagramaAutobus(5, 5, btn_5_5);
	}

	public void onClick$btn_5_6(Event ev) {
		abrirDetalheDiagramaAutobus(5, 6, btn_5_6);
	}

	public void onClick$btn_5_7(Event ev) {
		abrirDetalheDiagramaAutobus(5, 7, btn_5_7);
	}

	public void onClick$btn_5_8(Event ev) {
		abrirDetalheDiagramaAutobus(5, 8, btn_5_8);
	}

	public void onClick$btn_5_9(Event ev) {
		abrirDetalheDiagramaAutobus(5, 9, btn_5_9);
	}

	public void onClick$btn_5_10(Event ev) {
		abrirDetalheDiagramaAutobus(5, 10, btn_5_10);
	}

	public void onClick$btn_5_11(Event ev) {
		abrirDetalheDiagramaAutobus(5, 11, btn_5_11);
	}

	public void onClick$btn_5_12(Event ev) {
		abrirDetalheDiagramaAutobus(5, 12, btn_5_12);
	}

	public void onClick$btn_5_13(Event ev) {
		abrirDetalheDiagramaAutobus(5, 13, btn_5_13);
	}

	public void onClick$btn_5_14(Event ev) {
		abrirDetalheDiagramaAutobus(5, 14, btn_5_14);
	}

	public void onClick$btn_5_15(Event ev) {
		abrirDetalheDiagramaAutobus(5, 15, btn_5_15);
	}

	public void onClick$btn_5_16(Event ev) {
		abrirDetalheDiagramaAutobus(5, 16, btn_5_16);
	}

	public void onClick$btn_5_17(Event ev) {
		abrirDetalheDiagramaAutobus(5, 17, btn_5_17);
	}

	public void onClick$btn_5_18(Event ev) {
		abrirDetalheDiagramaAutobus(5, 18, btn_5_18);
	}

	public void onClick$btn_5_19(Event ev) {
		abrirDetalheDiagramaAutobus(5, 19, btn_5_19);
	}

	public void onClick$btn_5_20(Event ev) {
		abrirDetalheDiagramaAutobus(5, 20, btn_5_20);
	}

	public void onClick$btn_5_21(Event ev) {
		abrirDetalheDiagramaAutobus(5, 21, btn_5_21);
	}

	public void onClick$btn_5_22(Event ev) {
		abrirDetalheDiagramaAutobus(5, 22, btn_5_22);
	}

	public void onClick$btn_5_23(Event ev) {
		abrirDetalheDiagramaAutobus(5, 23, btn_5_23);
	}

	public void onClick$btn_5_24(Event ev) {
		abrirDetalheDiagramaAutobus(5, 24, btn_5_24);
	}

	public void onClick$btn_5_25(Event ev) {
		abrirDetalheDiagramaAutobus(5, 25, btn_5_25);
	}

	public void onClick$btn_5_26(Event ev) {
		abrirDetalheDiagramaAutobus(5, 26, btn_5_26);
	}

	public void onClick$btn_6_1(Event ev) {
		abrirDetalheDiagramaAutobus(6, 1, btn_6_1);
	}

	public void onClick$btn_6_2(Event ev) {
		abrirDetalheDiagramaAutobus(6, 2, btn_6_2);
	}

	public void onClick$btn_6_3(Event ev) {
		abrirDetalheDiagramaAutobus(6, 3, btn_6_3);
	}

	public void onClick$btn_6_4(Event ev) {
		abrirDetalheDiagramaAutobus(6, 4, btn_6_4);
	}

	public void onClick$btn_6_5(Event ev) {
		abrirDetalheDiagramaAutobus(6, 5, btn_6_5);
	}

	public void onClick$btn_6_6(Event ev) {
		abrirDetalheDiagramaAutobus(6, 6, btn_6_6);
	}

	public void onClick$btn_6_7(Event ev) {
		abrirDetalheDiagramaAutobus(6, 7, btn_6_7);
	}

	public void onClick$btn_6_8(Event ev) {
		abrirDetalheDiagramaAutobus(6, 8, btn_6_8);
	}

	public void onClick$btn_6_9(Event ev) {
		abrirDetalheDiagramaAutobus(6, 9, btn_6_9);
	}

	public void onClick$btn_6_10(Event ev) {
		abrirDetalheDiagramaAutobus(6, 10, btn_6_10);
	}

	public void onClick$btn_6_11(Event ev) {
		abrirDetalheDiagramaAutobus(6, 11, btn_6_11);
	}

	public void onClick$btn_6_12(Event ev) {
		abrirDetalheDiagramaAutobus(6, 12, btn_6_12);
	}

	public void onClick$btn_6_13(Event ev) {
		abrirDetalheDiagramaAutobus(6, 13, btn_6_13);
	}

	public void onClick$btn_6_14(Event ev) {
		abrirDetalheDiagramaAutobus(6, 14, btn_6_14);
	}

	public void onClick$btn_6_15(Event ev) {
		abrirDetalheDiagramaAutobus(6, 15, btn_6_15);
	}

	public void onClick$btn_6_16(Event ev) {
		abrirDetalheDiagramaAutobus(6, 16, btn_6_16);
	}

	public void onClick$btn_6_17(Event ev) {
		abrirDetalheDiagramaAutobus(6, 17, btn_6_17);
	}

	public void onClick$btn_6_18(Event ev) {
		abrirDetalheDiagramaAutobus(6, 18, btn_6_18);
	}

	public void onClick$btn_6_19(Event ev) {
		abrirDetalheDiagramaAutobus(6, 19, btn_6_19);
	}

	public void onClick$btn_6_20(Event ev) {
		abrirDetalheDiagramaAutobus(6, 20, btn_6_20);
	}

	public void onClick$btn_6_21(Event ev) {
		abrirDetalheDiagramaAutobus(6, 21, btn_6_21);
	}

	public void onClick$btn_6_22(Event ev) {
		abrirDetalheDiagramaAutobus(6, 22, btn_6_22);
	}

	public void onClick$btn_6_23(Event ev) {
		abrirDetalheDiagramaAutobus(6, 23, btn_6_23);
	}

	public void onClick$btn_6_24(Event ev) {
		abrirDetalheDiagramaAutobus(6, 24, btn_6_24);
	}

	public void onClick$btn_6_25(Event ev) {
		abrirDetalheDiagramaAutobus(6, 25, btn_1_25);
	}

	public void onClick$btn_6_26(Event ev) {
		abrirDetalheDiagramaAutobus(6, 26, btn_1_26);
	}

	public void onClick$btn_7_1(Event ev) {
		abrirDetalheDiagramaAutobus(7, 1, btn_7_1);
	}

	public void onClick$btn_7_2(Event ev) {
		abrirDetalheDiagramaAutobus(7, 2, btn_7_2);
	}

	public void onClick$btn_7_3(Event ev) {
		abrirDetalheDiagramaAutobus(7, 3, btn_7_3);
	}

	public void onClick$btn_7_4(Event ev) {
		abrirDetalheDiagramaAutobus(7, 4, btn_7_4);
	}

	public void onClick$btn_7_5(Event ev) {
		abrirDetalheDiagramaAutobus(7, 5, btn_7_5);
	}

	public void onClick$btn_7_6(Event ev) {
		abrirDetalheDiagramaAutobus(7, 6, btn_7_6);
	}

	public void onClick$btn_7_7(Event ev) {
		abrirDetalheDiagramaAutobus(7, 7, btn_7_7);
	}

	public void onClick$btn_7_8(Event ev) {
		abrirDetalheDiagramaAutobus(7, 8, btn_7_8);
	}

	public void onClick$btn_7_9(Event ev) {
		abrirDetalheDiagramaAutobus(7, 9, btn_7_9);
	}

	public void onClick$btn_7_10(Event ev) {
		abrirDetalheDiagramaAutobus(7, 10, btn_7_10);
	}

	public void onClick$btn_7_11(Event ev) {
		abrirDetalheDiagramaAutobus(7, 11, btn_7_11);
	}

	public void onClick$btn_7_12(Event ev) {
		abrirDetalheDiagramaAutobus(7, 12, btn_7_12);
	}

	public void onClick$btn_7_13(Event ev) {
		abrirDetalheDiagramaAutobus(7, 13, btn_7_13);
	}

	public void onClick$btn_7_14(Event ev) {
		abrirDetalheDiagramaAutobus(7, 14, btn_7_14);
	}

	public void onClick$btn_7_15(Event ev) {
		abrirDetalheDiagramaAutobus(7, 15, btn_7_15);
	}

	public void onClick$btn_7_16(Event ev) {
		abrirDetalheDiagramaAutobus(7, 16, btn_7_16);
	}

	public void onClick$btn_7_17(Event ev) {
		abrirDetalheDiagramaAutobus(7, 17, btn_7_17);
	}

	public void onClick$btn_7_18(Event ev) {
		abrirDetalheDiagramaAutobus(7, 18, btn_7_18);
	}

	public void onClick$btn_7_19(Event ev) {
		abrirDetalheDiagramaAutobus(7, 19, btn_7_19);
	}

	public void onClick$btn_7_20(Event ev) {
		abrirDetalheDiagramaAutobus(7, 20, btn_7_20);
	}

	public void onClick$btn_7_21(Event ev) {
		abrirDetalheDiagramaAutobus(7, 21, btn_7_21);
	}

	public void onClick$btn_7_22(Event ev) {
		abrirDetalheDiagramaAutobus(7, 22, btn_7_22);
	}

	public void onClick$btn_7_23(Event ev) {
		abrirDetalheDiagramaAutobus(7, 23, btn_7_23);
	}

	public void onClick$btn_7_24(Event ev) {
		abrirDetalheDiagramaAutobus(7, 24, btn_7_24);
	}

	public void onClick$btn_7_25(Event ev) {
		abrirDetalheDiagramaAutobus(7, 25, btn_7_25);
	}

	public void onClick$btn_7_26(Event ev) {
		abrirDetalheDiagramaAutobus(7, 26, btn_7_26);
	}

	public Boolean isAsientoMaior54() {
		return ApplicationProperties.getInstance().diagramaAutobusDosPestana();
	}
	
	public String getDiagramaAutobus1() {
		return LayoutDiagramaAutobus.getDiagramaAutobus1();
	}

	public String getDiagramaAutobus2() {
		return LayoutDiagramaAutobus.getDiagramaAutobus2();
	}
	
}
